import { Cooldown } from "../components/cooldown";
import { System, type World } from "../core/world";

export class CooldownSystem extends System {
    override update(world: World, dt: number) {
        for (const [, , cooldown] of world.query(Cooldown)) {
            cooldown.update(dt);
        }
    }
}